%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  hydReng
%global packver   0.1.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.0
Release:          1%{?dist}%{?buildtag}
Summary:          Hydraulic Engineering Tools

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildArch:        noarch
BuildRequires:    R-methods 
Requires:         R-methods 

%description
The 'hydReng' package provides a set of functions for hydraulic
engineering tasks and natural hazard assessments. It includes basic
hydraulics (wetted area, wetted perimeter, flow, flow velocity, flow
depth, and maximum flow) for open channels with arbitrary geometry under
uniform flow conditions. For structures such as circular pipes, weirs, and
gates, the package includes calculations for pressure flow, backwater
depth, and overflow over a weir crest. Additionally, it provides formulas
for calculating bedload transport. The formulas used can be found in
standard literature on hydraulics, such as Bollrich (2019,
ISBN:978-3-410-29169-5) or Hager (2011, ISBN:978-3-642-77430-0).

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
